> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all credit transfers

> Returns a paginated list of all credit transfers. Filterable by create date range and status. Transfer items in list responses do not include outstanding and fees properties.



## OpenAPI

````yaml openapi/credit.yaml get /v1/credit/transfers
openapi: 3.0.2
info:
  version: ${version}
  title: Credit API
  description: >
    The Circle Credit API provides access to credit facilities including Line of
    Credit and Settlement Advance products.


    **Line of Credit** enables direct drawdowns with auto-approval and
    asynchronous disbursement. Supports both fiat and crypto repayment.


    **Settlement Advance** requires a reserve-then-request flow with manual
    approval. Requires wire proof upload for disbursement approval. Supports
    fiat repayment only.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Credit
    description: Get credit line details.
  - name: Credit Transfers
    description: Create, reserve, and manage credit transfers (drawdowns).
  - name: Credit Fees
    description: View fees charged on credit transfers.
  - name: Credit Repayments
    description: View and initiate repayments on credit transfers.
paths:
  /v1/credit/transfers:
    get:
      tags:
        - Credit Transfers
      summary: List all credit transfers
      description: >-
        Returns a paginated list of all credit transfers. Filterable by create
        date range and status. Transfer items in list responses do not include
        outstanding and fees properties.
      operationId: listCreditTransfers
      parameters:
        - $ref: '#/components/parameters/CreditTransferStatus'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successfully retrieved a list of credit transfers.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListCreditTransfersResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CreditTransferListItem'
              examples:
                Credit Transfers:
                  value:
                    data:
                      - id: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
                        amount:
                          amount: '50000.00'
                          currency: USD
                        status: disbursed
                        dueDate: '2024-04-20T00:00:00.000Z'
                        disbursedDate: '2024-03-20T14:22:00.000Z'
                        createDate: '2024-03-20T14:20:00.000Z'
                        updateDate: '2024-03-20T14:22:00.000Z'
                      - id: fc988ed5-c129-4f70-a064-e5beb7eb8e32
                        amount:
                          amount: '25000.00'
                          currency: USD
                        status: paid
                        dueDate: '2024-03-15T00:00:00.000Z'
                        disbursedDate: '2024-02-15T10:00:00.000Z'
                        paidDate: '2024-03-10T16:45:00.000Z'
                        createDate: '2024-02-15T09:58:00.000Z'
                        updateDate: '2024-03-10T16:45:00.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    CreditTransferStatus:
      name: status
      description: Filters transfers by their current status.
      in: query
      required: false
      schema:
        type: string
        enum:
          - funds_reserved
          - expired
          - canceled
          - requested
          - rejected
          - disbursed
          - paid
          - past_due
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    CreditTransferListItem:
      type: object
      description: >-
        A credit transfer as returned in list responses. Does not include
        outstanding and fees properties.
      required:
        - id
        - amount
        - status
        - createDate
        - updateDate
      properties:
        id:
          description: Unique identifier of the transfer.
          type: string
          format: uuid
          example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
          description: The transfer amount.
        status:
          description: Current status of the transfer.
          type: string
          enum:
            - funds_reserved
            - expired
            - canceled
            - requested
            - rejected
            - disbursed
            - paid
            - past_due
          example: disbursed
        expiresAt:
          $ref: '#/components/schemas/UtcTimestamp'
          description: >-
            ISO-8601 UTC date/time when the reserved funds expire. Present only
            when status is funds_reserved.
        dueDate:
          $ref: '#/components/schemas/UtcTimestamp'
          description: >-
            ISO-8601 UTC date/time when the transfer repayment is due. Present
            only when status is disbursed, paid, or past_due.
        disbursedDate:
          $ref: '#/components/schemas/UtcTimestamp'
          description: >-
            ISO-8601 UTC date/time when the transfer was disbursed. Present only
            when status is disbursed, paid, or past_due.
        paidDate:
          $ref: '#/components/schemas/UtcTimestamp'
          description: >-
            ISO-8601 UTC date/time when the transfer was fully repaid. Present
            only when status is paid.
        blockchainDestination:
          $ref: '#/components/schemas/BlockchainDestinationResponse'
          description: >-
            Blockchain destination details. Present when the transfer was
            requested with a blockchain destination.
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
          description: ISO-8601 UTC date/time when the transfer was created.
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
          description: ISO-8601 UTC date/time when the transfer was last updated.
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    BlockchainDestinationResponse:
      type: object
      description: >-
        Blockchain destination details for a credit transfer. Present when the
        transfer was requested with a blockchain destination.
      required:
        - addressId
        - status
      properties:
        addressId:
          description: The identifier of the verified blockchain address.
          type: string
          format: uuid
          example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
        status:
          description: The status of the blockchain transfer.
          type: string
          enum:
            - pending
            - initiated
            - complete
            - failed
          example: pending
        transferId:
          description: >-
            The identifier of the blockchain transfer. Present once the transfer
            has been initiated.
          type: string
          format: uuid
          example: fc988ed5-c129-4f70-a064-e5beb7eb8e32
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````